---
search:
  tags:
    - components
    - GET
seo:
  description: >-
    Returns the applications, jobs and… Reference for the GET
    /project/{project_id}/environment/{environment_id}/components endpoint in
    the Platform API.
sidebar:
  label: List environment components
  badge: GET
title: List environment components
type: openapi-operation
---
Returns the applications, jobs and databases of an environment, a page at a time.

`GET /project/{project_id}/environment/{environment_id}/components`

**Responses**

- `200` — Environment components retrieved successfully
- `default` — Error

Response example, 200:

```json
{
  "records": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
      "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",
      "cluster_id": "d3d1bfdf-67c4-41fa-b065-858242731616",
      "environment_id": "40ef0e48-a11f-4963-a229-e396c9f7e7c4",
      "s_id": "string",
      "name": "string",
      "description": "string",
      "kind": "Kjob",
      "subtype": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "deleted_at": "2019-08-24T14:15:22Z",
      "last_run_id": "08df5d92-87b1-40a2-b1e7-a5977dea4efc",
      "last_run_status": "QUEUED",
      "resource_state": "OUT_OF_DATE"
    }
  ],
  "pagination": {
    "total_records": 100,
    "current_page": 1,
    "total_pages": 10,
    "next_page": 2,
    "prev_page": null
  }
}
```
